Copyright: S3Tweak - The ultimate Savage tweaker - Only from S3 Planet!


S3Tweak - The ultimate Savage tweaker!

September 10, 2000

To learn how to use Help, press F1.

S3Tweak is a freely available utility that lets you "tweak" or adjust the settings for your Savage family video card.  Rather than fiddling with tedious (not to mention dangerous) registry settings, just use this handy tray utility.

Contents

When you unzip the S3Tweak package, you should have the following files:

file_id.diz

S3Tweak.exe

S3Tweak.inf

S3Tweak.hlp (this file)

Installation

Usage

Menu items

Overclocking

Displays

Options

Troubleshooting

Command line options

Registry settings

About Box

Version history

Known Problems!

•	S3Tweak will not always work correctly with the Diamond drivers for the Savage4, and there are a number of other problems with Savage4 drivers in general.  It’s possible they don’t work with the Creative Savage4 drivers completely, either.  Your best bet is to use reference drivers.

•	The MiniGL dialog and the “Allow MiniGL code” checkbox have no effect when using the performance ICD.  This isn’t actually a bug, but you should be aware of this nonetheless.

•	Some users have reported problems with the Savage2000 support, although we haven’t seen it ourselves.  We’re investigating this.

•	S3Tweak only works on Windows 95, Windows 98 and other Win9x-based systems (including Millenium Edition).  Windows2000 support is planned, and possibly Windows NT as well.

Hardware/Software Support

Savage3D

Savage4

Savage/MX and Savage/IX

Savage 2000

Windows 9X

Distribution

S3Tweak is a free utility.  You may use it at your own risk, but you may not distribute it for profit.  If you want to include S3Tweak with your product or software package, you must contact us at S3 Planet for permission first.

Final Comments

A few things remain to be said... Some of the options shown may not work, since the information was gathered from a variety of sources.  Once we've located these things, they'll probably be fixed...  In some cases, the options work, but the display driver doesn't seem to handle it right.  There's not much we can do to fix that :)

Restarting Windows is a good idea if you change the AGP size, if you don't have the "Reset display" option checked in the Options dialog.  At the very least, you should change your desktop resolution or colour depth, then change it back.  If you don't, the new AGP size probably won't take effect.

There's a chance the overclocking code can fail, especially if you try to set it when other things are happening.  You should try to make sure you aren't running any videos, AVIs, QuickTimes, DVD playback, etc. when you set overclocking.  If you happen to get a speed saved that causes Windows to hang every time it starts, just hold down the Shift key when Windows is starting.  This will cause programs in your Startup group not to load, and it will also make S3Tweak refuse to set the clock speed.

That's about it... enjoy.  :)

Acknowledgements

Thanks go to various people in the S3P forums who provided some useful information here and there.  Keep it up.  :)

------------------------------------------------------------------------------

S3 Planet - http://www.s3p.co.uk


Installation

To install S3Tweak, open Windows Explorer and find the S3TWEAK.INF file.  Right-click this file and choose "Install".  You may see a DOS prompt appear for a little while, along with a screen that says something about setting up S3Tweak.  This is normal.

When the DOS prompt disappears, S3Tweak will be installed in your Windows SYSTEM directory.  The install procedure also set up S3Tweak to start every time Windows starts.  Finally, the install procedure loads S3Tweak right away so you can start playing with it.

The first time you install and run S3Tweak, you'll be asked if you want to use the Basic or Advanced menus.  If you're not sure which one to use, just press Return to use the Basic menu.  You can always change this later in the Options dialog.


Usage

To use this utility, bring up your taskbar (if it's hidden) and right-click on the utility icon.  It looks a little like a Savage3D logo with the number "3" in it (for Savage3D).  At this point, you should see the basic menu.  The basic menu is the recommended way of using S3Tweak, unless you're an expert.  This is because the basic menu hides most of the options that can really get you into trouble.  However, if you're sure you want all the options, choose "Options" from the S3Tweak popup menu.  In the Options screen, check the "Use advanced menus" option;  this will allow you to access the more advanced menu.

Instead of getting at the menus, you can also use this icon to see at a glance the type of chip you're running, its speed, and the other options that affect performance most.  Do this by placing your mouse cursor over the S3Tweak icon and wait a little bit.  A tooltip will appear that will show something like:

Savage3D@100.2MHz-VsyncOn AutoAGP(20) S3TC

In this case, it means you're using a Savage3D running at 100MHz, Wait for Vsync is ON.  You're set up to use 20MB of AGP memory, and the Auto-Compression (S3TC) feature is turned on.

The different settings you can turn on and off from the menus will be described later.  For now, the easiest way to use S3Tweak is through its schemes.  A scheme is a group of settings saved together.  Choosing a scheme lets you apply all those settings at the same time, which is a much quicker way of doing things.  You can choose a scheme to apply from the Schemes menu at the top.  Two of the choices are always available: "Refresh list" and "(Default)."

Refresh list

Choose Refresh list to refresh the listing of schemes in your Schemes menu.  If you edit the schemes file (described later) by hand, you will have to use this option to make sure S3Tweak knows about all the schemes in the schemes file.

(Default)

To return all settings to the default state, choose this option.  If you ever end up with strange results in all the games you run, you can try using this to get everything back to a known state first, then start experimenting with different options again.


Command Line Options

By default, S3Tweak is started without any command line options.  However, there are times when you may need to use options for special circumstances.  Type in the option after S3Tweak from the Run box of the Start menu or the DOS prompt.  All options begin with a dash (minus sign), and upper and lower case doesn't matter.

-ResetDisplay

This makes S3Tweak change your current display settings to a lower colour depth.  If the desktop is currently in 32-bit colour, S3Tweak will change it to 16-bit.  If your desktop is in 8-bit colour, then it will be changed to 32-bit colour.  This can be useful if you need to restore the desktop display after using the Auto Triple Buffer option, because ATB will sometimes leave a game's graphics on screen instead of the desktop.  Once your desktop display is restored, you will probably want to change your colour depth back to whatever it was before.  You can also use -RD.

-Verbose

Makes S3Tweak report the error if it is unable to load.


Registry Settings

S3Tweak itself uses some registry settings, and most of these are stored in:

HKEY_LOCAL_MACHINE\Software\S3 Planet\S3Tweak

There should be no reason for you to edit these manually, but this information is presented here in case you ever need it.  The registry values in this area are all of type "string".  Here are the possible values:

AskChangeDisplay

By default, this is “ON”, which means S3Tweak will ask you before changing the resolution and colour depth when you choose an item from the TweakRes menu.  If this is set to “OFF”, then S3Tweak won’t ask.  In either case, you’ll have 15 seconds after the display is changed to change your mind.

AutoResetDisplay

When this is "ON", the "Auto reset display on AGP changes if no confirm" setting in the Options dialog will be checked.

AutoTriMip

When this is "ON", the "Link auto mipmap and trilinear" setting in the Options dialog will be checked.

ConfirmAGPChanges

When this is "ON", you will be asked for confirmation any time you make a change that can affect the status of AGP memory.

Homepage

This key specifies the URL that will be opened if the logo in the About box is clicked.  The default value is "http://www.s3p.co.uk/files.htm" which will open the Files section of S3 Planet.  This will allow the user to download the latest version of S3Tweak if needed, and is a cheap, shameless plug besides :)

SchemeFile

This is the full path and name of the schemes file used by S3Tweak.  By default, it is "s3tweak.dat" in your Windows SYSTEM directory.  On most systems, this would be "C:\WINDOWS\SYSTEM\s3tweak.dat"  If you have the Odometer utility from Hercules or S3, you can make the two utilities use the same file by changing this to "s3dometr.dat"

ShowAdvanced

When this is "OFF", you'll get the basic menus.  When it's "ON", you'll get the advanced menus.

SortSchemeMenu

This controls whether the schemes menu will be shown in sorted order or not.

UseAutoOpenGLFog

This is the (what else?) "Link fog options" setting.  When it's "ON", the checkbox is checked.

WriteRegDefaults

Normally this is set to OFF.  Set this to ON, and S3Tweak will write all driver options to the registry, even when writing the default value.  Normally, S3Tweak will remove a registry entry when it’s the default value.

Some of S3Tweak’s settings can vary from chip to chip, and these are stored in:

HKEY_LOCAL_MACHINE\Software\S3 Planet\S3Tweak\xxxx_vvvvssss

The xxxx is the chip’s PCI ID, vvvv is the subsystem vendor ID, and ssss is the subsystem device ID.  You can find the vvvvssss in the About dialog, in the Subsystem area.

ClkDelay

This controls the delay to use after changing Mclk settings.  A short delay is necessary for the chip to settle itself, but it's possible that some systems will need a different delay to avoid locking up.  The default is 120, but this value can range from 10 to 1000.

ClkRatio

This is the Eclk/Mclk ratio to use if UseClkRatio is set to ON.  By default, this is set to the ratio of your default Eclk divided by your default Mclk.  For Diamond Savage4’s, for example, this would be 0.875.

Current

This is the name of the current scheme you're using.  If you change any settings directly from the menu instead of picking a scheme, this will be blank.

AGPSizeList

This entry lets you set up a custom AGP size menu.  Include all the AGP sizes you want in your menu here, in ascending order, and separated by spaces.  For example, if you only want 8MB, 16MB, and 32MB to show on your menu, you would set the value of this entry to “8 16 32”.

CanDoAGPSB

Default depends on chip.  Set this to ON to force the AGPSB option to show up on menu, and OFF to force it not to show up.

Gamma(<width>x<height>x<bpp>)

Gamma(<bpp>bpp)

Gamma(all)

This keeps the gamma setting for this chip.  Depending on the setting of GammaType, this can be By mode (width, height, and colour depth), By bpp (colour depth), or Global (all resolutions and colour depths should use the same gamma).  The actual data is in a string that looks like “Gamma=1.10 1.10 1.10 Bright=1.02 1.02 1.02 Contrast=1.00 1.00 1.00”.  Gamma, brightness, and contrast each has 3 floating point values.  The first value is red, the next is green, and the last one is blue.

GammaType

This sets the way S3Tweak handles gamma.  Set it to “ByBpp”, and S3Tweak will remember gamma settings by the colour depth;  that means, for example, that any resolution at 16-bit colour will use the same gamma setting.  Set this to “Global”, and S3Tweak will use one gamma setting for all resolutions and colour depths.  The default is “ByMode”, where you can have a different gamma setting for each resolution and colour depth combination.  Finally, this can be “Disabled” to prevent S3Tweak from changing the gamma at all.

ImmediateClk

This controls when, after the display changes, S3Tweak tries to resume overclocking.  When this is OFF, S3Tweak posts a message to itself, so there's a small delay.  By default, however, this is ON, which means S3Tweak will immediately resume overclocking.  It's possible this will fix lockup problems on some rare machines, and this may also fix the problem where the Mclk gets changed back to default without S3Tweak "noticing" it.

LastDrv

This saves the last driver version that S3Tweak detected for your card, based on the PCI identifier for your card.  Usually, this is something like “4.11.01.4005-6.13.25”.  S3Tweak uses this to tell if you’ve changed the driver.  If you have, S3Tweak knows that your display card settings have probably been reset to defaults.

MclkSpeed

This is the speed to which S3Tweak should set your card on startup, and it's specified in MHz.  For example, to set it to 100.23MHz (the default for most Savage3D cards), this would be "100.23".  On a Hercules Beast Supercharged, the default is 120.51 MHz.

MclkDef

This is the speed S3Tweak will use as the default for you card’s Mclk.  In the overclock dialog, selecting the “Default” button will reset your card to this speed.  S3Tweak does not install a default value for this setting, because it varies with different brands of cards.

MclkMin

This is the minimum speed to which S3Tweak can set the Mclk value on your card.  By default, this is "90.0", so the lowest you can set Mclk to is 90 MHz.

MclkMax

This is the highest speed to which S3Tweak can set the Mclk value. If you know for a fact that yours can go higher, then you can change this value to something higher.  If you know the highest you can reach is 125 MHz, on the other hand, you may want to add this value to the registry and set it to "125.0". This will keep S3Tweak from ever using a speed higher than 125 Mhz.  The default values for this are:  145.0 Mhz for Savage3D and 200.0 Mhz for Savage4.

Name

Use this to specify a different name for your chipset than what S3Tweak chooses.  For example, S3Tweak reports “Savage 4 GT/Pro” for all Savage4-based cards.  But you can create a Name with the value “Stealth III S540” instead, if that’s what your card is.

Overclocked

This is used by S3Tweak when it starts.  If this value exists when S3Tweak is loading, that indicates S3Tweak wasn’t able to shut down properly before.  In that case, S3Tweak will ask the user if they still want to use saved overclocking settings.  This is to help users who might have set their clocks too high and have trouble with Windows locking up when starting.  This value is removed when S3Tweak detects that Windows is shutting down.

ShowDuoview

This controls whether the DuoView checkbox in the Display Output dialog is shown.  Some versions of the Savage/MX /IX drivers don’t allow setting DuoView mode this way, but depend on the refresh rate of the CRT instead, so the checkbox isn’t shown.  It’s not likely this switch will be needed, except for testing.

ShowFlickerSlider

Some versions of the Savage/MX/IX drivers only allow the flicker filter to be turned on and off, but do not allow the amount of filtering to be changed.  S3Tweak will try to determine which driver you have and show or hide the flicker filter slider, but you can override its behaviour with this switch.

UseClkRatio

If this is set to ON, the “Eclk/Mclk ratio should always be” checkbox in the Overclock dialog will be checked.  The Eclk slider will be disabled, and moving the Mclk slider will make Eclk move as well, staying at the same ratio (Eclk divided by Mclk).

UseQueryConnect

If this is set to ON, S3Tweak will query the driver to find out what devices (e.g. CRT, LCD, TV, etc.) are physically connected.  On some drivers, this will merely produce an annoying flickering, but won’t detect the devices.  You can set this to OFF if you don’t like the flickering, or if for some reason, this check causes problems on your display.

As usual, remember you shouldn't muck around with the registry unless you know what you're doing!  This information is provided only to help anyone who's feeling adventurous.


AGP Menu

4MB, 12MB, 16MB, ... 90MB

The first group of choices in the AGP menu lets you choose how much memory to allow for AGP texture storage.  The Savage driver chooses its default based on the amount of memory in your system, but its choice may not always be the best amount.  If you know a game doesn't need that much texture memory, you can save a little regular memory by telling the display driver not to use so much.  On the other hand, you can set the amount of AGP memory to be more than the driver's default if you know you'll need it.

Generally, if you have:	Set AGP to:

256MB or more	64MB

128MB to 255MB	40MB

64MB to 127MB	24MB

anything else	16MB

You can now customise this list by adding a AGPsizeList entry in the registry.


AGP Menu

1X, 2X, 4X

This group of settings lets you choose the AGP speed the driver uses.  To use a specific speed, your motherboard must also support it, so it's useless to choose 4X if your motherboard only supports 2X, for example.  Note that the 1X option may or may not be supported in the drivers right now.


AGP Menu - Sideband

The AGPSB setting can be used to turn on or off the sideband support in the driver. Usually the driver will turn on AGP sidebanding if it’s possible to support it, so this option is most useful in turning it OFF.  The default value depends on what we detect from the chip, so it may be On or Off.


Textures - AutoPalette

If you enable this, the driver will try to reduce texture maps to 8-bit palettised versions to save memory and enhance speed.  Currently, this doesn't seem to work, and only produces strange, rainbow-coloured texturing.


Textures - AutoMipmap

Enabling this option tells the display driver to generate mipmaps for textures automatically.  Mipmapping can increase speed slightly and will generally reduce the amount of "sparkle" or "wiggle" in textured objects that are far away.  You must enable AutoMipmap to use the AutoTrilinear option.


Textures - Optimize

Enabling this tells the driver to use either the AutoPalette option OR the AutoS3TC option, whichever is better.  This probably won't work, since AutoPalette doesn't work right now.


Textures - AutoAGP

Enabling this tells the driver to use AGP memory for ALL texture maps.  The advantage of this is that it frees up memory on your Savage card for rendering, which can be important if you want to use any of the higher resolutions, especially given the limited memory on a Savage3D.  The disadvantage is that AGP texturing may be slower than texturing out of video memory.  Fortunately, there doesn't seem to be much speed difference between AGP-only and video memory only on the Savage.

Savage3D default: ON

Savage4 default: OFF

Savage2K default: OFF


Textures - VidTex Only

Choose this to have texture maps go into video memory only, and never to use AGP.  This may be a useful option if your motherboard's AGP implementation is incompatible with the Savage3D.  If you experience frequent lockups with all games, try using this option.  If this solves the problem, then you know that there is a problem with AGP on your system.  This is particuarly true on Savage3Ds, or if you are using a non-Intel chipset motherboard.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: OFF


Textures - By App

Choose this to have the game or application decide where to put its textures.  Older games won't know about AGP, so they'll always choose video memory.  Newer games that know about AGP may decide to use AGP or not, depending on how the game runs.  If you want most games to use video memory, but let those games that want to use AGP, then choose this.

Savage3D default: OFF

Savage4 default: ON

Savage2K default: ON


dBias Menu

1.0 to -1.0

The dBias setting is a little difficult to explain, but here goes...  In 3D, distances actually range from 0.0 to 1.0.  When a game uses mipmaps, each mipmap level has a certain range of distances associated with it.  For example, let's say the game assigns mipmap level 0 (the biggest, most detailed mipmap) to distances from 0.0 to 0.5.  The game then assigns mipmap level 1 (the next most detailed mipmapp) to 0.5 to 0.7, mipmap level 2 to 0.7 to 0.8, mipmap level 3 to 0.8 to 0.9, and so on.  The driver basically adds the dBias setting to an object's distance before looking up which mipmap to use.  So if an object is at distance 0.6, it would normally use mipmap level 1.  But if you set dBias to -0.2, then 0.6 - 0.2 = 0.4, so the driver would use mipmap level 0 instead.

The upshot of all this is that 0.0 is the default, while -1.0 causes the most detailed mipmaps to be used at all times, and 1.0 causes the least detailed mipmap to be used.  If you're familiar with Quake, this is similar to the gl_picmip parameters.  Choosing a positive number for dBias can increase your rendering speed somewhat, in exchange for a blurrier picture.  Setting dBias to 1.0 will usually cause all your textures to be totally blurry and very strange looking!


Misc Menu - CommandDMA

CommandDMA is a method where many of the commands sent to the chip can be placed in a special buffer in memory.  This allows the chip to get its next command without interrupting the main CPU, allowing certain operations to be faster.  You can use the CommandDMA menu to select the size of this buffer, anywhere from 1MB to 4MB.

Savage3D default: n/a

Savage4 default: 4MB

Savage2K default: ???


Misc Menu - BlockWrite

BlockWrite is a special technique that a Savage4 can use if it’s using SGRAM memory.  It’s not completely clear what this option does, but it seems to be related to 2D functions.

Savage3D default: n/a

Savage4 default: OFF

Savage2K default: ???


Misc Menu - Write-combining

According to the description from Intel:

“The Write Combining technology [...] can be used to achieve very high graphics I/O performance. This feature combines multiple writes to a region of memory (for example, a video controller's frame buffer) declared as WC type into a single-burst write operation. This is well suited for the bus, which is optimized for burst transfers. The combining also leads to burst writes of cache line sizes.  These writes are further combined by the chipset, leading to high throughput for graphics I/O.”

What this means is, the Pentium II-class of CPUs contains a feature called write-combining, where bytes being written to memory can be combined together into a larger block, and this block is then sent to memory in a burst.  This is faster than writing the bytes separately.  Some operations performed by the Savage3D driver can be write-combined.  In general, write-combining will yield better performance, but there may be some issues (such as polygons flickering) on Pentium IIIs.  If turning on write-combining causes visual problems in 3D, you should turn it off.  This option only works with version 6.13.24 or later of the Savage3D driver.  It either doesn’t work on Savage4 drivers, or it’s automatic.

Savage3D default: OFF

Savage4 default: n/a

Savage2K default: ???


Misc Menu - FastDraw

This is supposed to enable a mode where the driver can draw triangles faster.  It's not known if this actually does anything with the current drivers, though.

Savage3D default: OFF

Savage4 default: n/a

Savage2K default: n/a


Misc Menu - FlipBlt

Turning this on makes the driver do a page flip instead of blitting to swap buffers.  On most third-generation 3D accelerators, blitting is the preferred method.  However, you might be able to get a slight performance increase at very high resolutions (1024x768 and above) by turning on page flipping instead.

Savage3D default: OFF

Savage4 default: n/a

Savage2K default: n/a


Misc Menu - Oversample

In theory, the oversample option should make your Savage render everything at a higher resolution, and then scale it down to your screen resolution.  The effect of this would be a blurring of the outlines, in particular the “jaggies” you often see on diagonal lines, to give a smoother picture.  However, this option doesn't seem to work on the current Savage3D drivers.  On a Savage4, you must restart Windows after changing this, but setting it to ON will turn on the anti-aliasing capability in the Savage4 drivers.

Savage3D default: ON

Savage4 default: OFF

Savage2K default: OFF


Misc Menu - Enable Z-buffer

When turned on, enables the use of 24-bit Z-buffer with 8-bit stencil buffer in D3D, if an application will use it.

Savage3D default: n/a

Savage4 default: OFF

Savage2K default: n/a


Misc Menu - HW Fast Z-clear

When turned on, enables use of hardware Z-buffer clearing. This can help with performance, but will cause screen artifacts in some games.

Savage3D default: n/a

Savage4 default: OFF

Savage2K default: OFF


Misc Menu – No fog

When turned on, causes all fog to be disabled.  For certain games that use fogs in an incompatible way (e.g. latest patched version of Asheron’s Call), this may be useful.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: n/a


TweakRes Menu

The TweakRes menu can be used to take the place of the standard Windows QuickRes tray app.  TweakRes lists all the resolutions and colour depths you can choose.  The current resolution and colour depth is checked on the menu.  Select another one to change to that setting.  After you change the setting, you will be asked to confirm the setting within 15 seconds.  If you do not confirm, or if you choose No, TweakRes will change your display back to the previous settings.


MiniGL Menu - MiniGL Config

Choose this option to bring up the MiniGL Applications dialog, where you can configure which applications will benefit from the more optimized MiniGL, and which will use the standard OpenGL ICD.  This option requires 6.13.25 or later drivers on a Savage3D, but should work on all Savage4 drivers, except the Performance ICD.  This option does not exist on the Savage2K, because it does not have a MiniGL.


MiniGL Menu - 32Bit Colour

This makes the MiniGL run games in 32-bit colour mode, no matter what colour depth your desktop is.  This is useful if you really want the extra colour depth, but can be quite slow.  Default is Off.


MiniGL Menu - AutoMipmap

This is similar to the AutoMipmap option for the Direct3D driver.  Turning it on causes the MiniGL driver to generate Mipmap levels for texture maps.  Turning this off means that it's up to the game whether mipmaps are used.  Using mipmaps will generally speed up 3D rendering a little, so this defaults to on.


MiniGL Menu - Auto S3TC

Turn this on to have textures automatically compressed into S3TC format.  Doing this in conjunction with the next option may help speed up some games.  In general, the only thing this will do is help save on the amount of memory needed to hold textures.


MiniGL Menu - Texture Cache

This tells the MiniGL to perform texture caching, which is the default.  You can turn off the texture caching, but since it's designed to speed things up, there's not much reason to, unless you think the texture caching is causing a problem.


OpenGL Menu – Use HW T&L

For cards that support it, and which have a Performance ICD, this option can be used to set Hardware T&L to Auto, On, or Off.  On forces HW T&L to be On at all times, while Off does the opposite.  Auto means the ICD will choose to use HW T&L or not as it sees fit.  It’s usually best to leave this set to Auto.


OpenGL Menu – Auto Z-Clear

For the Performance ICD, this option can be used to set Auto Z-Clear to Auto, On, or Off.  On forces Auto Z-Clear to be On at all times, while Off does the opposite.  Auto means the ICD will choose to set this to ON or OFF automatically. Currently, the Auto setting means Z-Clear will be Off for 16bpp modes, and ON for 24bpp (or higher).


OpenGL Menu – Use 3DNow!

For the Performance ICD.  By default, the ICD will try to use 3DNow! instructions if possible.  You can force the ICD not to use 3DNow! by setting this to off, either because it causes problems, or for benchmarking and comparison purposes.


OpenGL Menu – Use SIMD

For the Performance ICD.  By default, the ICD will try to use Pentium 3 SIMD (Single Instruction Multiple Data) instructions if possible.  You can force the ICD not to use SIMD by setting this to off, either because it causes problems, or for benchmarking and comparison purposes.


OpenGL Menu – Use KTX ext.

For the Performance ICD.  This controls whether the ICD supports the KTX Extension from SGI.  Default is ON.


OpenGL Menu – Use W-buffer

For the Performance ICD.  This controls whether the ICD used a W-buffer by default.  W-buffers are usually more accurate than Z-buffers, especially for nearby objects.  In some cases, W-buffering can be faster on the Savage line of cards.  Default is ON.


OpenGL Menu – Use Triple Buffer

For the Performance ICD.  This controls whether the ICD uses triple buffering.  Normally, triple buffering is allowed to help with performance, but a few games may not work correctly, in which case this should be turned off.  Default is ON.


OpenGL Menu – Use Page Flip

For the Performance ICD.  This controls whether the ICD uses page flipping to swap draw buffers.  Some games, notably Icewind Dale, do not do buffer swaps correctly, and need to have this option set to off.  Default is ON.


Main Menu - Use Trilinear

Turn on both AutoMipmap and this option to force all textures to be trilinear filtered.  Because the Savage doesn't lose any speed when doing trilinear filtering, there is almost no reason not to use this option.  For Direct3D only.

Defaults - S3D is OFF, S4 is n/a (doesn’t work right now), S2K is ???


Main Menu - Use S3TC

This option makes the driver automatically compress textures into S3TC format when they are loaded.  With some games, this can provide a gain in speed, but you may notice frequent pauses as the driver performs compression.  There is probably no real good reason to use this, except to show what S3TC could do once games start using it natively.

Savage3D default: OFF

Savage4 default: OFF (may not work)

Savage2K default: ???


Main Menu - Use Non-DX fog

When this option is off, the driver will render fog the way the Direct3D specifications state it should be done.  However, there are many, many games that assume fog will be rendered the way a 3Dfx card renders it.  Turn on this option to simulate the type of fog these games expect.  Please note that this will not always work, and in some cases, you need to disable the fog in the game entirely (e.g. Shogo and Heretic II).

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: ???


Main Menu - Use eye fog

Another factor that can affect fog rendering.  Some games expect fog to increase in thickness with distance in a certain way, while other games expect a different way.  You may need to experiment with this.  Generally, most games seem to work best if you turn this on, but there are a few (the Heavy Gear II demo, for one) that need this turned off.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: ???


Main Menu - Use TexPatch

A bug in DirectX 6.0 can cause some textures to be misaligned in games.  Good examples are the opening screen in Shogo and the backgrounds in Final Fantasy VII.  If you see what looks like goofy-looking tiles when something should be completely smooth, use this option.  In fact, turning this on doesn't seem to hurt anything, so probably leaving it on is best.  If you are running DirectX 6.1 or higher, this menu item won't appear, because DX 6.1 fixes the texture misalignment problem.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: ???


Main Menu - TopScanLine

For some reason, the very top line in some 3D games don't render correctly all the time.  Turning on this option should fix that problem, but it might affect the speed.  This option only works if you have the Savage3d driver 6.13.20 or later.  Default is off.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: OFF


Main Menu - TripleBuffer

This makes the display driver use auto triple-buffering if possible.  This is supposed to be used in conjunction with Vsync Off.  Normally, turning Vsync Off allows your 3D card to render as fast as possible.  Unfortunately, on the Savage3D, this causes some terrible "tearing" and other visual problems.  Turning on triple-buffering may get rid of these problems.  Some games won't need this, because they already have a triple-buffering option (for example, Shogo).

Please note that with the current drivers, the auto triple-buffering option isn't always reliable.  Sometimes you will find that you can't see the desktop when you exit a game, or a different display will be on your screen than what you expect.  If this happens, press Ctrl-Esc to get your Start Menu, then press "R" to get the Run dialog.  Now carefully type in "s3tweak -ResetDisplay" and press Enter. (For details on the -ResetDisplay option, see Command Line Options section later).

Also see the section on Triple Buffering.

Savage3D default: OFF

Savage4 default: OFF

Savage2K default: ???


Main Menu - Wait for Vsync

When this is on, the display driver will wait for the vertical sync signal from your monitor before it swaps buffers.  This leads to a nice, clean picture, but it means your maximum frame rate is limited by the refresh rate of your monitor.  Thus if your monitor is set to 60Hz, you'll never get more than 60 frames per second, and often less.  Turning off Vsync will give better framerates, but some games will show a lot of "tearing", and the Savage3D causes a lot of strange visual problems to show up.  Usually, if you turn off Vsync, you should enable triple-buffering, either in the game or using the option above.  See the Triple Buffering section later in this file for some ideas on when you should or shouldn't turn off Vsync, and when triple buffering will work.

Also, you don't need to change this setting for the OpenGL ICD and Quake2-based games.  Quake2 and its variants support an OpenGL function to set the "swap interval," which basically lets them turn Vsync on or off.  Newer versions of the MiniGL and Metal will automatically use triple-buffering and vsync off if possible, so you should leave this setting ON for newer MiniGLs.

Savage3D default: ON

Savage4 default: ON

Savage2K default: ON


Menu items

What S3Tweak really does is allow you to change the registry settings used by the SavageX display driver, normally found in HKEY_CURRENT_CONFIG\Display\Settings.  You can also change most of these by hand, but S3Tweak makes it easier, because you don't have to remember all the cryptic two(or more!)-letter commands this way.  But what do these settings really do?  Here's a brief explanation of each one, starting at the top of the Advanced Menu.  Some of these options won't be visible with the basic menu;  the advanced-only options will be marked in red and underlined:

TweakRes

AGP

8MB, 12MB, 16MB, ... 90MB

1X, 2X, 4X

Sideband

Textures

AutoMipmap

AutoAGP

VidTex Only

By App

dBias

Misc

CommandDMA

BlockWrite

Write-combining

FastDraw

FlipBlt

Oversample

Enable Z-buffer

Enable Fast Z-clear

No fog

MiniGL

MiniGL Config...

32bit Colour

AutoMipmap

AutoS3TC

Texture cache

S3TC disk cache

OpenGL

Use HW T&L

Auto Z-Clear

Use 3DNow!

Use SIMD

Use KTX ext.

Use W-buffer

Use triple buffer

Use page flip

Displays

Output...

Gamma

Refresh

Main menu

Use Trilinear

Use S3TC

Use DirectX fog

Use eye fog

Use TexPatch

Top scan line

TripleBuffer

Wait for Vsync


Triple buffering

Triple buffering is a great technique that can allow you to turn off Vsync and still enjoy the graphics in a game.  Without triple buffering, turning off Vsync results in a lot of flashing and tearing, making most games virtually unplayable.  However, you can only use triple buffering if there is enough memory on your video card for the resolution, number of colours, and Z-buffer used by your game.  Currently, the Savage3D drivers and OpenGL drivers all use 16-bit Z-buffers.  To figure out how much memory your game would need for triple buffering, use this formula:

( width * height * colours / 8) * 3 + ( width * height * 2 )

Here's a short table with some common resolutions and colour depths:

Resolution	Colour	Kbytes needed

 640x480	16	 2400 KB

 800x600	16	 3750 KB

1024x768	16	 6144 KB

1152x864	16	 7776 KB

1280x1024	16	10240 KB

1600x1200	16	15000 KB

 640x480	32	 4200 KB

 800x600	32	 6562 KB

1024x768	32	10752 KB

1152x864	32	13608 KB

1280x1024	32	17920 KB

1600x1200	32	26250 KB

Part of the video memory is often used for texture caching as well, so the actual amount of memory used is probably 1 to 2 MB higher than what you see in this table.

You can see that with 8MB of video RAM, the only way you can use triple buffering is with six of these combinations: 640x480 at any colour depth, and 800x600 at any colour depth, and 1024x768 and 1152x864 at 16-bit colour depth.  And at 1280x1024 at 32-bit colour, even a 16MB card can't do triple buffering.  It's a good thing the Savage4 will support 32MB!


Overclocking

WARNING!  Overclocking your card can result in physical damage, lockups, and/or loss of data in your system!  If you are not confident that you know what you're doing, then DO NOT try this!  You've been warned - only mad people overclock, which is why we do it! :)  You should also remember that your system may run just fine in 2D when overclocked, but 3D may push it over the edge!  You should not use S3Tweak to overclock if you are currently using another utility (e.g. Powerstrip, Hercules' Hercumeter) to overclock already;  you should always use only ONE utility for overclocking, or the utilities may conflict with each other!

This menu item brings up a dialog that lets you set the Mclk speed of your Savage3D card and the Mclk and Eclk for your Savage4.  By default, you can adjust the speed from 90MHz to 130MHz;  however, the actual min and max can be changed in the registry (see the Registry Settings section later).  The default speed depends on which brand of Savage3D or Savage4 you have, but can also be changed in the registry.  The original Hercules Beast runs at 100MHz, while the new Supercharged version runs at 120MHz.  The default speed is shown when you first bring up the Overclock dialog.

Once you set a new speed and select OK, your Savage card will run at that speed.  This speed is also saved in the Registry, so that the next time S3Tweak starts, it will set your Mclk/Eclk to that speed again.  As you move the scrollbar around, you may see the words "Startup default" next to the speed.  That means the displayed speed is the speed S3Tweak found when it first loaded, or the speed indicated as default in the registry;  this is NOT necessarily the actual default speed for your card!  For example, let's say your card defaults to 100MHz. You run S3Tweak, change the speed to 110MHz, and then exit S3Tweak.  When you start S3Tweak again, it will find the speed to be 110MHz, and this is the speed that will be indicated as "Startup default."

You can reset your card to its default setting by selecting the "Default" button.  S3Tweak will reset the display briefly, which will usually cause the Mclk speed to reset to default.

If you find that the speed you've set causes problems or lockups, you can bypass the overclock setting when S3Tweak first loads by holding down the Shift key.  After this, you can bring up the Overclocking dialog and select the "Remove registry setting" button to delete the Mclk setting that S3Tweak put in the registry.  If S3Tweak doesn't find this setting, it won't try to set your chip's clock speed when it first loads.


Displays - Outputs

The Display-Outputs dialog lets you turn on and off the various display (monitor, LCD, TV, and/or digital flat panel) connected to your Savage card.  Certain resolutions aren’t supported by all types of devices, but presently S3Tweak won’t prevent you from turning on those devices anyway.  The only precaution S3Tweak takes is that it will prevent you from turning all the displays OFF.  The various controls in the Displays dialog are:

CRT Monitor

TV

LCD

Flat panel

DuoView mode

In some cases, when you choose OK or Apply, S3Tweak won’t be able to set the displays to what you want.  This can happen if some software DVD players are running.  In that case, S3Tweak will display a warning message to tell you an error has occurred.

In addition, you can adjust many other display-related settings on this screen, such as:

TV Signal list

TV Output port

TV Flicker Filter enable

TV Flicker Filter level

Lock size

TV Horizontal size

TV Vertical size

TV Brightness

TV Contrast

TV Hue

TV Tint

LCD Expand display


Options

The Options dialog lets you do a bunch of other stuff that isn't easy to put on the menus.  This includes saving and deleting schemes, and changing some options that are specific to S3Tweak itself (and not for the display driver).  The various parts of the Options dialog are:

Schemes location

Schemes list

Save as...

Delete

Update

AutoS3TC min size

AutoMipmap min size

Use advanced menus

Sort schemes menu

Confirm before making AGP-related changes

Auto reset display on AGP changes if no confirm

Link fog options (EF and ES)

Link auto mipmap and trilinear

Allow Mclk to be set from schemes

Set chip clock ASAP on display change

Always write registry values

Ask before changing display settings

Automatically start when Windows starts


Troubleshooting

Even with S3Tweak, sometimes you'll run into problems.  Some of these problems may be related to S3Tweak itself, while others aren't.  Either way, we've summarised some of the most common ones here, together with solutions you can try.

My S3Tweak gamma settings don’t match the settings in S3’s own Gamma utility.

The S3 Gamma utility does not support both gamma and brightness, like S3Tweak does.  Because of this, it is impossible to make the two of them match.  You should use one or the other, not both.

Everybody talks about overclocking their Savage, but I don't see any way to do it!

This is fairly common even with some of the experienced users.  The problem is that S3Tweak defaults to a "basic" menu, where all the really dangerous stuff like overclocking has been removed.  To get to the "advanced" menu, go into the Options screen, and check the "Use advanced menus" checkbox.

Okay, I know how to overclock, but S3Tweak only lets me overclock to 150Mhz.  People talk about getting speeds much higher than that, so why can’t I?

By default, S3Tweak has some built in speed limits.  However, you can change this by editing the registry.  See the section on overclocking registry entries.

Sometimes, after exiting a game or application, S3Tweak will seem to "forget" the overclocking speed, and you'll notice the Mclk is reset to the default speed.

You can try changing the "Set Mclk immediately on display change" option to ON in the Options box and see if this fixes it.

Setting Overclocking may result in large, vertical color bars on screen, and the computer is locked.

Try changing the "Set Mclk immediately on display change" option.  Also, you can try changing the "ClkDelay" setting in the registry to a higher number, such as 150 or 200.

The menus or backgrounds in my game looks like it's made of big squares that aren't lined up quite right.

This is caused by a bug in DirectX 6.  You can either use the TexPatch (tp) setting, or upgrade to DirectX 6.1.  You should not, however, use both TP=ON and DirectX 6.1 together, and in fact, S3Tweak will remove the TexPatch option if it detects that you are running DirectX 6.1.

Playing any 3D game causes the computer to freeze, either immediately or very soon.

Check to see if your Savage3D is overheating.  If there is sufficient cooling, it may be a hardware compatibility problem.  The Savage is known to have compatibility problems with the AGP implementation on some LX and Super-7 motherboards.  In some cases, a new BIOS for your motherboard or a new set of AGP drivers may be all that's needed.  To see if it's a pure AGP problem, use the VidTex Only (VO) option from the Textures menu.  If the problem goes away, you've got AGP issues.  If the problem persists, it's something else.

I can't tell if my OpenGL ICD is installed correctly, or I think it’s installed wrong.

For the Savage3d, you can check by looking for the file S3GICD.DLL in your Windows system directory.  Also look in the registry in HKEY_LOCAL_MACHINE, Software\Microsoft\Windows\CurrentVersion\OpenGLdrivers, and see if there is an entry called "S3Virge" with its value set to S3GICD.DLL. For the Savage4, you can check by looking for the file S3MICD.DLL in your Windows system directory.  Also look in the registry in HKEY_LOCAL_MACHINE, Software\Microsoft\Windows\CurrentVersion\OpenGLdrivers, and see if there is an entry called "Savage4" with its value set to S3MICD.DLL.  If this isn't there, then the ICD probably wasn't installed correctly.

After I turn on the TV output, Gamma or Vsync doesn't work.

This is currently a known problem in the driver.  You can make both things work properly by changing your colour depth to something else, then changing it back.

The bus transfer rate in Final Reality is terrible!  My ViRGE could do better!

It’s been generally acknowledged that the Final Reality bus transfer test can be inaccurate.  Furthermore, it doesn’t work well with DirectX 6 because the benchmark was designed for DirectX 5.

I overclocked my card, and now every time Windows starts, S3Tweak sets my card to a higher speed and my computer locks up!  How do I get into S3Tweak to undo the overclocking?

When Windows is starting, hold down the Shift key until everything on your desktop is loaded, and the S3Tweak icon appears in the task bar.  The Shift key tells S3Tweak not to change the Mclk or Eclk setting, so you can have a chance to make changes without your card locking up first.  Now you can go to the overclocking dialog and change the clock settings to something more conservative.

I don't know how to install a new display driver I downloaded.

This isn't surprising, as S3 doesn't explain the procedure, and Microsoft certainly doesn't go out of its way to help you with it, either.  The easiest way is to unzip the file you downloaded so its contents are in some sort of temporary directory.  Use the C:\TEMP or C:\WINDOWS\TEMP directory if they're there.  Then go to the Start Menu, choose Settings, then Control Panel, and finally open the Display icon.  Go to the Settings tab.  If you're using Windows 95, click on the Advanced Properties button.  If you're using Windows 98, click on the Advanced... button and then choose the Adapter tab.  For either version of Windows, click on Change...

Click on Next, choose the  "Display a list of all the drivers in a specific location..." option, and choose Next again.  Now click on Have Disk, then Browse...  Finally!  Find the directory where you unzipped all the files.  When you've found the right one, the "File name" area should show something like "s3savage.inf" or some other filename;  it should NOT show "*.inf"  When you've found it, choose OK, then keep clicking on Next or OK each time you get a chance, until Windows asks if you want to reboot.  Choose Yes.


MiniGL Applications

With the later Savage3D drivers (6.13.25 or higher) and all the Savage4 drivers, the OpenGL ICD contains the MiniGL code in it.  Because the MiniGL needs to implement fewer features than the ICD, it can be optimized a lot more for those features, used mostly in games.  The Savage OpenGL determines whether an application gets the MiniGL code or the full ICD code by some registry keys.  S3Tweak makes it easier to maintain and work on those keys, by providing a configuration dialog.

Applications list

Add application...

Delete application

Allow MiniGL code


Applications list: This shows the names of the executable files for the applications that can use MiniGL code.  At the moment, it’s just the barebones filename, but you should be able to tell what these applications are rather easily.  Use the “Add” and “Delete” buttons to add applications or remove them, or just drag a program from Explorer and drop it onto this list.


Add: Click this button to get a standard file dialog.  Use the file dialog to find the program you want to add to the list, and click OK.  The program should get added.


Remove: First select a program from the applications list, then click the Remove button and get rid of it.  Once you get rid of the program, that program will no longer benefit from the MiniGL code until you add it back to the list.


Allow MiniGL code: Use this to allow the use of MiniGL code if a program is found in the Applications list.  Uncheck this if you don’t want to use the MiniGL code at all (there’s very little reason to do this, though).


About Box

The about box display all kinds of useful information on your system.  Although you can get this information from Windows in other ways, this is the only place where it’s all gathered together in one place.

S3 Planet logo

Chip type

ID

Bus type

Mclk speed

Eclk speed

BIOS version

Card vendor

Devnode

Driver version

ICD version

DirectX version

DxMedia version

Video RAM

OS version

System RAM

CPU vendor

CPU info

CPU features


S3 Planet logo: Click on this to go to the Download Files page on the S3 Planet website.


Chip type: This shows the type of video chipset, and its revision, in your computer.


Device ID: This is the PCI ID of your video chip.  Generally, each different type of chip has a different ID, so this is the main differentiator used by Plug and Play systems.


Mclk speed: This shows the speed of your card’s Mclk, or memory clock.  On Savage3d’s, the chip and its memory run at the same speed, which is controlled by Mclk.


Eclk speed: This shows the speed of your card’s Eclk, or engine clock.  On Savage4’s, the chip and its memory have separate speeds.  The memory runs at the speed of the Mclk setting, while the chip itself runs at the speed of the Eclk setting.


Driver ver: This shows the version of your installed display driver, usually in a m.nn.rr.wwww-x.yy.zz format.  The m.nn.rr portion is the DirectX indicator for driver version, where nn shows which version of DirectX this driver is intended for;  10=DX 5, 11=DX6, and 12=DX7.  The last part, x.yy.zz, is the actual S3 version of the driver.


Metal ver: This shows the version of Metal.dll in your Windows system directory.  Metal is the native API for Savage-based cards, and the version of Metal.dll you have may affect the performance of MiniGL games and other Metal-based games, such as Unreal.


BIOS ver: This shows the version of video BIOS installed in your card, as reported by the display driver. For cards which support it, it also shows the date of the BIOS.


DirectX ver: This shows the version number of the DDRAW.DLL file.  Using this number, S3Tweak extrapolates the version of DirectX in your system.


DxMedia ver: This shows the version of DirectX Media in your system by checking the version of the file QDVD.DLL.


Video RAM: This shows the amount of video memory on your card plus the type of memory (e.g. SDRAM, SGRAM).


Vendor: This shows the subsystem vendor ID reported by your video card’s BIOS.  Because it’s from the video BIOS, it may not actually show the correct vendor.  For example, if you have a card from Diamond or Creative, but you installed a reference BIOS from S3, this will show S3.


Devnode: This shows the devnode for your display adapter.  The devnode is the special area in the registry, usually under HKEY_LOCAL_MACHINE, where your adapter can keep its settings separate from any other display adapter.


ICD ver: This shows the name and version of your installed OpenGL ICD file.  It also checks for whether the ICD is named in the registry, and warns you if it isn’t.


OS ver: This shows the version and build of operating system you’re running.


System RAM: This shows the amount of physical RAM installed in your computer, both total and free, in addition to the total and free amounts of virtual RAM.


CPU Vendor: This shows the authentication string reported by your Pentium or Pentium-class CPU, and the family and model.  If S3Tweak knows the family and model, it will report the correct name for the CPU.  The authentication string is reported by the CPUID instruction.


CPU Info: The CPU info shows the stepping (revision) of your CPU and the sizes of the L1 and L2 caches.  The cache info is only reported if your processor’s CPUID instruction reports it.  Otherwise, they will be shown as “Unknown.”  This doesn’t mean there is no L1 or L2 cache, just that the processor itself doesn’t report it.


Features: This area shows any special features supported by your CPU, such as MMX, 3Dnow!, or Streaming SIMD Extensions.


Bus type: This shows the bus type being used by your video card, either PCI or AGP.


Include standard settings: If this is checked, all the settings that affect standard Direct3D performance will be saved in your scheme.  This includes settings like auto-trilinear, auto-mipmap, etc., as well as options that affect everything, such as Wait for Vsync, AutoAGP, etc.


Include MiniGL settings:  Include settings that only affect the MiniGL's operations.


Save clock speed: Save the Mclk/Eclk speeds in the scheme, if you want to have different overclocking speeds for different games.


Keep AGPsize same: Instead of saving a number for the AGP memory size, use the parameter "same."  When you load a scheme that has “AGPsize:same", S3Tweak will not reset your current AGP memory size.  If you don't have AGPsize in your scheme at all, S3Tweak will reset AGPsize to default.  This option lets you keep the same size without switching back to default, and without your having to specify that size in every single scheme.


CRT Monitor: The CRT monitor checkbox shows whether the CRT is currently enabled.  To turn on or off the display on your monitor, check or uncheck this setting, then select Apply.


TV: The TV checkbox shows whether the TV is currently enabled.  To turn on or off the TV output, check or uncheck this setting, then select Apply.  Note that for the Savage3d to detect your TV, you must have the TV connected when you boot.


LCD: The LCD checkbox shows whether the LCD is currently enabled.  To turn on or off the LCD output, check or uncheck this setting, then select Apply.


Flat panel: The digital flat panel checkbox shows whether the panel is currently enabled.  To turn on or off the panel output, check or uncheck this setting, then select Apply.


DuoView mode: On some versions of the mobile Savage drivers, this can be checked to set the display in DuoView mode.  DuoView mode allows two different displays to show the same view, but have different refresh rates.  If not in DuoView mode, both output displays must use the same refresh rate.  For example, with CRT and LCD both on and no DuoView, the CRT will operate at 60Hz.


TV Signal: Select the TV standards you want to use from those supported by your card, such as NTSC or PAL.


TV Signal: Select the TV port to use for output, such as RCA (composite) or S-Video from this list.


Flicker filter: This checkbox shows whether the flicker filter is enabled.  Check it to enable, uncheck to disable.


Flicker filter slider: Use this slider to select the amount of flicker filtering you want.


Lock aspect: Check this to keep the aspect ratio (horizontal to vertical size) the same at all times.  When locked, only the vertical size slider works.  When unchecked, both horizontal size and vertical size can be changed independently.


Horizontal size: Use this slider to set the horizontal size of the TV output.


Vertical size: Use this slider to set the vertical size of the TV output.


Brightness: Use this slider to set the brightness of the TV output.


Contrast: Use this slider to set the contrast size of the TV output.


Hue: Use this slider to set the hue (from green to purple) of the TV output.


Tint: Use this slider to set the tint (amount of color saturation) of the TV output.


Expand LCD display: Check this to expand the display to fill as much of the LCD screen as possible.  Uncheck this to make the display unexpanded and centered on the screen.


Scheme name: Type in the name you wish to use for your saved scheme.  If a scheme had been selected in the Options dialog, its name will be displayed here by default.


Displays - Gamma

The Displays-Gamma dialog lets you adjust the gamma and brightness of your display.  Gamma can be adjusted on a ByMode basis (the default), ByBpp (different gamma only for different colour depths), or it can be Global (same for all resolutions and colour depths).  There are slider controls for Gamma and Brightness.  As you move each slider, you will see the effect on screen immediately.  You can also choose to make the adjustments only for Red, only for Green, only for Blue, or for all the colours together.


Set gamma: This dropdown list lets you pick how gamma is set.  ByMode means that every combination of resolution and colour depth can have a different gamma setting.  ByBpp means that each different colour depth can have a different setting, and Global means there is only one setting.  Disabled means S3Tweak won’t change gamma at all.


Default: Press this button to return gamma settings to default (1.0) quickly.


Gamma: The gamma slider lets you adjust the gamma, or the curve from dark to bright.


Brightness: The brightness slider lets you adjust the brightness, or overall level of the gamma curve.


Contrast: The contrast slider lets you adjust the contrast, or the angle of the curve from dark to bright.


Red: Select this to make the gamma sliders affect only the red component of the display.


Green: Select this to make the gamma sliders affect only the green component of the display.


Blue: Select this to make the gamma sliders affect only the blue component of the display.


All: Select this to make the gamma sliders affect only the all the components (red, green and blue) of the display.


Eclk slider: Use the Eclk slider to adjust the engine clock setting on your Savage4 card, different from the Mclk, or video memory clock.  The minimum and maximum speed for Eclk can be changed by editing the registry.  See Registry Settings for Overclocking.


Mclk slider: Use the Mclk slider to adjust the memory clock setting on your Savage family card.  On some Savage family cards, the memory speed is tied to the chip speed.  If you only see one slider, then the memory and chip clocks are the same.  The minimum and maximum speed for Mclk can be changed by editing the registry.  See Registry Settings for Overclocking.


Default button: Press this button to reset your Mclk to its default setting.  If there is a registry entry for the default setting, that’s what S3Tweak will use.  If there is no registry setting for default speed, S3Tweak will use the speed it finds when it loads as the default.  The default Mclk speed can be changed by editing the registry.  See Registry Settings for Overclocking.


Default button: Press this button to reset your Eclk to its default setting.  If there is a registry entry for the default setting, that’s what S3Tweak will use.  If there is no registry setting for default speed, S3Tweak will use the speed it finds when it loads as the default.  The default Eclk speed can be changed by editing the registry.  See Registry Settings for Overclocking.


Remove from reg: This removes the saved Mclk settings from the registry.  S3Tweak normally looks in the registry when it starts to see if it needs to set your video card’s Mclk.  If it doesn’t find a registry entry, it won’t change your card’s speed.


Remove from reg: This removes the saved Eclk settings from the registry.  S3Tweak normally looks in the registry when it starts to see if it needs to set your video card’s Eclk.  If it doesn’t find a registry entry, it won’t change your card’s speed.


Apply: The apply button lets you set an Mclk speed without taking down the Overclock dialog, and without saving this new speed to the registry.  You can use this to quickly check if a speed is okay.  If it locks up, you don’t have to worry that the next time you restart Windows, S3Tweak will try to overclock to the same speed again.


Apply: The apply button lets you set an Eclk speed without taking down the Overclock dialog, and without saving this new speed to the registry.  You can use this to quickly check if a speed is okay.  If it locks up, you don’t have to worry that the next time you restart Windows, S3Tweak will try to overclock to the same speed again.


Eclk/Mclk Ratio: If checked, S3Tweak will make Eclk a ratio of Mclk.  It seems as if certain ratios of Eclk and Mclk work better than others, and this will let you keep those ratios without calculating them yourself.


Ratio: Enter the Eclk/Mclk ratio you want to use here.  If you check the Eclk/Mclk Ratio checkbox, this is the ratio that will be used.  The default ratio your default Eclk divided by your default Mclk.


Registry Settings for Overclocking: You can change the default, minimum, and maximum clock speeds for Mclk and Eclk that S3Tweak uses by editing the registry.  Run Regedit and open the HKEY_LOCAL_MACHINE branch, then go to Software\S3 Planet\S3Tweak.  In the right hand pane, edit the appropriate entry, or create it as a string value if it doesn’t exist.  For all cards, you’ll need to find the key with the card’s ID and subsystem Ids (like <card ID>_xxxxyyyy) and  a name like <clktype><limit>.  <clktype> is Mclk or Eclk, depending on what you want to change.  <limit> is Min for minimum, Max for maximum, and Def for default.  The card ID is one of the following:

8A20	Savage3d

8A21	Savage3d w/ MV

8A22	Savage4

9102	Savage2000

8C10	Savage/MX w/ MV

8C11	Savage/MX

8C12	Savage/IX w/ MV

8C13	Savage/IX

Say you want to change the maximum Eclk for a Savage4 to 180mhz.  You would add (or edit) the entry called “EclkMax” under the 8A22_xxxxyyyy key so that its value is “180.0”


Auto start when Windows starts: Check this box to make S3Tweak automatically load when Windows starts.  This will put an entry in the HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentWindowsVersion\Run key in the registry.


Always write registry values: Check this box to make S3Tweak write all the driver registry values.  Normally, if a value is the same as the default, S3Tweak will remove it from the registry to avoid cluttering up the registry.  Setting this option makes all these values get written anyway.  May be useful for some users who always need the AGP=1X or 2X value set.


Ask before changing display settings: Checking this box makes S3Tweak ask you for confirmation first before changing display settings from the TweakRes menu.  Uncheck this, and S3Tweak won’t ask for confirmation.  Either way, you’ll have a 15-second period after changing to cancel.


Add TweakRes menu: Check this box if you want to have a TweakRes item on the S3Tweak menu, uncheck it if you don’t want it.  TweakRes is a flyout menu that lists all the resolutions and colour depths you can use, like the QuickRes applet in Windows.  You can use this to replace QuickRes and cut down on the number of icons in your system tray.


Disable InControl Tools: If this is checked, the display driver will ignore all the 3D settings made using InControl Tools, allowing settings made by S3Tweak to override the ICT settings.  If you don’t want to use InControl Tools to change your game settings, this is the way to go.  Uncheck this to let the driver use the ICT settings again.


Use advanced menus: Stick a checkmark here to use the advanced menu instead of the simplistic basic menu.  Be warned!  Some of the options in the advanced menu can do really weird things if you're not careful!

Don't blame us, because we warned you!  If you don't believe it, try turning on the advanced menu, then set dBias in the menu to 1.0 and try playing a D3D game...


Link auto mipmap and trilinear: If this is checked, then any time you turn on auto trilinear, the auto mipmap option will be enabled, too.  The auto trilinear option requires auto mipmap to be on, so if you don't check this option, then any time auto mipmap is disabled, auto trilinear will be disabled and cannot be selected.  This option defaults to ON.


Link fog options (EF and ES): A number of games right now need the non-DX fog option checked.  Usually, they require the "Use eye coord. fog" option checked at the same time.  If you put a checkmark in this box, S3Tweak will automatically handle these two options as a pair.  That is, if you check "non-DX fog", the "Use eye coord. fog" option will be checked for you.  If you uncheck "non-DX fog", then "Use eye fog" will be UNchecked for you.


Schemes file: This shows the name and location of the file that S3Tweak uses to store its schemes and other scheme-related data.  This setting is controlled by the “SchemeFile” entry in the registry.


Schemes list: This list shows all the current schemes in your schemes file.  You can use this list to select schemes to update or delete.


Delete: Select a scheme from the Schemes list and choose Delete to get rid of it.  Be careful!  S3Tweak won't ask you if you are sure, so once you delete it, it's gone!


Update: You can download new scheme files in the future when they are posted up.  Once you've downloaded it, choose Updated.  A standard file dialog will appear to let you choose the file you just downloaded.  All schemes in that file will be "merged" or added to your own schemes file.  We will release files in the future for downloading, and members of the forum may contribute their schemes as well. If people would like to submit their schemes, they can send them to s3tweak@s3planet.force9.co.uk.


Save as: Choose this to save the current registry settings as a scheme.  Doing so allows you to pick the scheme later from the "Schemes" submenu.  A scheme lets you change one or more settings at the same time, so the most convenient use is to save a scheme for each game or application you want to use.  If you have a scheme highlighted when you select "Save as..." then that scheme's name will be shown in the Save As dialog.


AutoS3TC min size: You can set the minimum texture size for the AutoS3TC feature.  For example, the default of 64 means that a texture must be at least 64x64 pixels in size for AutoS3TC;  any texture map smaller than that will be used without being compressed.  For some games, you may be able to reduce the compression delays by setting this to a larger number, to make the driver compress only larger texture maps.


AutoMipmap min size: You can set the minimum texture size for the AutoMipmap feature.  For example, the default of 64 means that a texture must be at least 64x64 pixels in size for AutoMipmap;  any texture map smaller than that will be used without having mipmaps generated for it.  Texture maps that are too small won't really benefit from mipmapping, so you can use this to tell the driver not to generate mipmaps in such cases.


Confirm before making AGP-related changes: If this is checked, S3Tweak will ask you if you really want to make a change when you change between AutoAGP, VidTex only, or ByApp.  This will also happen if you change the AGP memory size.  This is to make absolutely sure you want to make the change.  Uncheck this if you don't need to be reminded every time.


Auto reset display on AGP changes if no confirm: To make any AGP-related change actually take effect, you must reset the display.  You can do this by changing the desktop resolution or colour depth.  Check this if you want S3Tweak to do this automatically for you.

Please note:  we've seen some problems occasionally when making AGP settings changes.  We suspect it may be related to this display reset option.  If you find things acting strangely on your system (S3TC always being on, AGP stuff not working correctly), then you should try turning off this option, and restart Windows.


Sort schemes menu: If this is checked, S3Tweak will show all the schemes in the schemes menu in sorted (alphabetical) order.  You can uncheck this to make the schemes show up in the order they are listed in the schemes file.


Allow speed to be set from schemes: If this box is checked (which is default), then you can change your Mclk/Eclk setting from a scheme.  Your Mclk/Eclk settings are saved to a scheme if it is not the default value.  If you download schemes from the internet, you may want to leave this option off until you're sure the schemes you download aren't going to overclock your Savage card too much and damage it!


Set chip clock ASAP on display change: Some versions of video BIOS’s will reset your Mclk/Eclk to the default whenever the display is reset (colour depth or resolution is changed).  This controls when, after the display changes, S3Tweak tries to resume overclocking.  When this is OFF, S3Tweak posts a message to itself, so there's a small delay.  By default, however, this is ON, which means S3Tweak will immediately resume overclocking.  It's possible this will fix lockup problems on some rare machines, and this may also fix the problem where the Mclk gets changed back to default without S3Tweak "noticing" it.


PerfICD menu: Check this to tell S3Tweak that you have a PerfICD installed.  Normally, S3Tweak tries to auto-detect whether you have the PerfICD or the old MiniGL/ICD combination using the version number of the ICD file.  In some cases, it may be impossible for S3Tweak to determine this correctly, as both a PerfICD and a MiniGL/ICD exist for the same version.  In that case, you may need to tell S3Tweak the correct option.


Saves all the changes you have made without closing the dialog box.


Displays – Refresh Rate

The Displays-Refresh Rate dialog lets you adjust the refresh rate for every possible display mode of your system.  Click on the mode you want to change in the Modes list, then choose the refresh rate from the list at the bottom.  The advantage of this method is that you do not have to be using that resolution and colour depth to change its refresh rate, unlike the standard Windows control.


Modes: This lists all the possible combinations of resolutions and colour depths reported by the display driver.


Refresh rate: This lists all the possible refresh rates for the selected mode in the Modes list.  The refresh rate to use will be selected.  To change the refresh rate for a mode, just select the rate you want from this list.

Warning!  S3Tweak may list refresh rates that are not supported by your monitor!  If you choose such a refresh rate, it is possible to damage your monitor, or render some modes unviewable!


Test: Choose this to test the refresh rate selected for your current mode.  If your current mode is not selected, this button will be be enabled.


Version history

Yes, now you can read about all the things that went wrong and needed fixing in S3Tweak during the time we worked on it.  Shhh, don't tell anyone... :)

1.10a	(September 10, 2000)

•	Enabled MiniGL menu option for Savage3D, Savage4, and Savage/MX, regardless of whether PICD is detected.

•	Fixed flicker filter updating for Savage/MX/IX.

•	Fixed bug in saving schemes data, caused dBias to be wrong.

•	Removed unused options for Savage2000.

•	Added Device ID in the About dialog.

•	Added ICDTRIPLEBUFFER and ICDFLIP options for new PerfICD.

•	Added reporting of Pentium 4 processor.

•	Added -Verbose cmdline option to report cause of error if unable to load.

•	Fixed name of new integrated chipset to be “ProSavage”

1.09a	(May 31, 2000)

•	Added refresh rates dialog under Display menu that behaves like the S3 Refresh utility.

•	Added detection for AMD K6-2+, K6-3+, and various Cyrix chips.

•	Added check for ICD’s registry entry in About box.

•	Added show location of devnode in About box.

•	Changed About box to show DirectX version instead of DDraw or D3D;  show DirectX Media version from QDVD.DLL.

•	Added option to disable driver’s use of Diamond’s InControl Tools 3D settings.

•	Added the W-buffer and Fix Game Text settings for Savage2000.

•	Added menu for PerfICD options;  S3Tweak can usually distinguish between PerfICD and old ICD with MiniGL.

•	Added extra PAL TV modes for Savage4 TV-out.

•	Added option to disable overclocking altogether.

•	Added No Fog option to help Asheron’s Call.

•	Changed to get/set display settings in devnode for new Savage/MX drivers.

•	Fixed restart message for AGPSB so it doesn’t talk about CommandDMA.

•	Fixed so the 9.50.xx drivers are detected correctly for VO/VT setting.

•	Fixed CommandDMA buffer command to be DMACB, not CB.

1.08b	(February 14, 2000)

•	Fixed Savage2K driver version check so it really works.

•	Fixed Savage2K driver detection so we use VT for older driver, VO for newer drivers.

•	Show hardware rev in hex if not found in registry (Savage2000).

•	Removed AutoPalette and OptTex options, since these don’t work.

•	Added CanDoAGPSB option to force AGPSB menu option to show or disappear.

•	Added “Name” registry value in chip-specific key, so we can use INF file to specify name of card based on subsystem IDs (e.g. “Stealth III S540”)

•	Added a default button to Gamma dialog;  added ‘Disabled’ as a gamma setting.  If not disabled, fixes problem where gamma dialog reports gamma of 1.0, but display driver is using different setting.

•	Fixed not freeing memory after Gamma dialog.

•	Added registry key to show/hide the Duoview checkbox; only needed for special cases.

•	Default Mclk and Eclk are written to registry if not already present.

•	Fixed black screen if OK is pressed in Gamma dialog before any changes are made.

•	Fixed not setting gamma when S3Tweak first started.

•	Moved UseQueryConnect, ImmediateClk, and ClkDelay registry values to the chip-specific subkey area.

•	About dialog now reports total and free physical RAM, total and free virtual (swapfile) RAM.

•	Now correctly reports RAM type for Savage2000.

•	Gamma type (ByMode, ByBpp, or Global) can be set in gamma dialog now.

•	Added DuoView support for Savage/MX and Savage/IX chips, but not for gamma yet.

•	Fixed to use HKEY_CURRENT_CONFIG, instead of Config\0001 in HKEY_LOCAL_MACHINE.

•	Changed chip-specific information in registry to go into subkeys under the main S3Tweak key.

•	Added TV-out controls in Display dialog (signal type, outport, flicker filter, brightness, contrast, hue, color).

•	Changed default Oversample to ON for Savage3D.

•	Fixed Gamma dialog problem where hitting Apply then OK caused settings not to be saved.

1.07a	(December 24, 1999)

•	Choosing Help now takes you to the main contents page for easier navigation.

•	Added xxxx_GammaType flag so gamma settings can be By mode, By bpp, or Global.

•	Fixed default AGPsize amounts for Savage4 driver.

•	Fixed L2 cache size detection for Athlons.

•	Added custom AGP size list.

•	Changed DirectX fog (EF) to non-DX fog.

•	Added TweakRes menu to perform QuickRes-like functions, with confirmation dialog and 15-second cancel period.

•	Fixed Savage3D default settings, so AutoAGP is OFF.

1.06a	(October 31, 1999)

•	Added ZB Z-buffer and ZC (fast Z-clear) options for new Savage4 drivers.

•	Added AGP sideband (AGPSB) option;  default is whatever we detect from the chip.

•	Added ‘always write registry values’ to Options dialog.

•	Added proper overclocking support for Savage2000.

•	Added check for improper shutdown while overclocking is in use.

1.05a	(September 20, 1999)

•	Fixed overclocking max values so Savage4 max by default is now 200Mhz, and can go as high as 220MHz.

•	Added gamma adjustment dialog.  This improves S3’s gamma handling, letting you have different gamma plus brightness settings for each combination of resolution and colour depth!

•	Added detection for Athlon and new 3dnow! instructions.

•	Fixed display dialog allowing you to turn off all displays.

•	Now correctly tells user to restart Windows after changing CommandDMA size.

•	OC dialog now allows Eclk and Mclk to be applied, deleted, and reset independently, plus Eclk can be forced to be a constant ratio to Mclk.  Dialog also shows the min/max speeds now.

•	Fixed Min AutoS3TC and Min AutoMipmap sized not being saved in Options.

•	Removed warning when loading on a non-Savage card.

•	Removed Write-combine for Savage4, since it doesn’t seem to be used.

•	Added a separate Schemes config dialog instead of having them in regular Options.

•	Updated the default settings for Savage4 that we know are different.

•	Added a Known Problems section to this help file.

•	Fixed not showing L1/L2 cache sizes on AMD systems.

•	Added tick marks to Eclk slider in Overclock dialog.

•	Added “WriteRegDefaults” registry flag.  Set to true to make S3Tweak write ALL driver options to registry, even when it’s a default value.

•	Fixed how driver filenames are found to handle cases where S3 reference drivers and OEM manufacturer drivers have both been installed.

1.04e	(June 7, 1999)

•	Fixed problem with minimum Mclk/Eclk speed set to 0 if a DefaultClk entry exists in registry but contains nothing.

•	Changed overclock dialog to use trackbars; looks nicer and is more precise.

•	Added an Apply button to overclock dialog.

•	The Display dialog will warn you now if it is unable to set the display to the desired configuration.

•	Added -RD as a substitute for the -ResetDisplay command.

•	Use same Displays dialog for all Savage cards.

•	Enabled 1X AGP option for those people who might need it for compatibility.

•	Fixed not finding the help file when S3Tweak is first installed.

•	Added a fix that might (but might not) help those people who saw a hit to performance when running S3Tweak.

•	We now save the last version of driver we detect, to know whether schemes should be reset when driver changes.

•	Added support for the MiniGL config dialog flag to control the combined MiniGL/ICD (all Savage4, or 6.13.25 or later on Savage3D).

•	Added support for extra BIOS info and date on Savage4 cards.

•	Got rid of erroneous code that was saving Mclk/Eclk to registry when changing them from within a scheme.

•	Added context sensitive help for dialogs!

•	Added ability to set what the default Mclk or Eclk is in the registry, instead of assuming that a reset display will change them back to default.

•	Added displaying of Metal.dll version to About (this is the Metal.dll in the Windows system directory).

•	Changed logo and URL location to the new S3 Planet site.

•	Enabled loading of Eclk in schemes.

•	Added write-combining to Misc options for Savage3D (needs driver 6.13.24 or later).

•	Fixed TopScanLine, BlockWrite, and CommandDMA not getting reset to default when using a scheme, and added them to scheme data saved.

•	Fixed the "Refresh scheme" item not correctly causing the schemes list to be rebuilt.

•	Fixed setting Eclk correctly.

•	Changed the way we handle min/max Clk values, so it's not hardcoded at 140MHz for Max.  Max now depends on chip type.

•	Fixed not actually returning extended features bitmask on AMD CPUs, so we actually detect 3Dnow! correctly.

•	Officially added support for Savage4!

1.03k	(April 24, 1999)

•	Threw in more precautions to see we if can prevent the About box crashing on AMD systems.

•	Do better checking for chip revision, so we shouldn't report wrong results if registry contains multiple PCI device entries for the same type of chip.

•	Changed so the Displays dialog won't reset your display (again) if you hit OK, but haven't made any changes.

•	Fixed dBias menu not showing the selection correctly because of strange floating-point compares in compiler.

•	Changed registry settings for Mclk so the PCI identifier number is added before setting name, to allow different Mclk settings for different cards.

1.03g	(April 17, 1999)

•	Significant code change so it's easier to handle different chip capabilities.

•	Added reporting of bus type (AGP or PCI) and subsystem vendor ID in About dialog.

•	Added the display device dialog to allow quick on/off of the TV.

•	Added Top Scan Line option for newer drivers (6.13.20 or later).

•	Moved the auto triple buffer option to main menu, near the Vsync option.

•	Added detection of Pentium !!! and Streaming SIMD Extensions (but we can't afford a Pentium !!! to test with!)  Also added detection for Rise mp6 and IDT WinChip.

•	Added an option to turn on the Auto mipmap option if Auto trilinear is turned on.

•	Changed the default icon to a Savage3d symbol with a "3" in it, in anticipation of Savage4 support.  The icon is now a 16x16 icon, which looks much better on the task bar, but has a fuzzy look in the Task Manager.

•	Changed to new compiler, did some optimizations.

•	ToolTip on taskbar now shows Mclk speed with only 1 digit to produce a shorter string.  Overclocking dialog only shows 1 digit as well, to be consistent.  The registry setting is still 2 digits by default, though.

•	Corrected the triple-buffer calculations in this document.  Previously calculated from the behavior of the MiniGL, but some thinking shows this is wrong.  Used 3DMark99 to determine the correct formula, which seems to show MiniGL is wrong.

1.02r	(February 5, 1999)

•	Added help dialog first time S3Tweak is run, to find out if user wants to use advanced menu or not, unless the advanced menus are already in use.

•	Added the Troubleshooting section to this document.

•	Added "ImmediateClk" registry setting, which defaults to ON.

•	Removed the "ChipID_xxxx" settings, since the scan registry fix means they're not useful anymore.

•	We now delete TP from the registry as soon as we detect DX 6.1, to make sure it doesn't cause reversed tiling problems.

•	To fix showing wrong version of driver when drivers aren't named what they should, we now try to find the driver name from the registry.

•	Some minor optimizations for code size.

•	Added reporting of approximate CPU speed in the About box.

•	Added options to the Save Scheme dialog so user can elect which settings to include in a scheme.  This is so unnecessary settings won't get added, since the schemes are so long already!

•	Added a Default button to overclocking dialog.  This resets Mclk to default, even if Mclk wasn't default when S3Tweak first started.  May not work if BIOS has been customised not to reset Mclk on display changes.

•	Added a "ClkDelay" setting to registry.  This controls a delay (default 120, from 10 to 1000) after adjusting Mclk.

•	Fixed major gaffe in code for displaying names for AMD CPUs;  these should display correctly now.

•	Added check to show Windows 95 OSR2.5.  (Not as if anyone cares...)

•	A log entry should be added to S3tweak.dat if an attempt to Mclk fails.  This is so we can try to figure out why Mclk sometimes get reset to default value.

1.02j	(January 26, 1999)

•	You can now change a scheme's AGPsize to read "Same".  When you apply a scheme like this, it will keep your current AGPsize, instead of changing it to the default or to another number.  Example:  AGPSize:same

•	The About box CPU info will now report whether AMD processors have 3DNow!, the L1 and L2 cache sizes if these can be queried through the CPU, and can detect Pentium II Xeon if the Xeon has more than 512KB of L2 cache.

•	The About box info correctly reports DirectX 6.1 now.

•	The About box will show the type of video memory, either SDRAM or SGRAM, on board.

•	The About box information for driver and ICD now show the filenames.

•	Clicking on the S3 Planet logo in About box will open a web page specified in the registry.

•	If DirectX 6.1 or higher is detected, the TexPatch(TP) menu item is removed, and TP will not be put in the registry.  This is because DirectX 6.1 or higher fixes the problem.

•	Added the Remove Registry Setting button in Options box to remove saved Mclk speed from registry easily.

1.02b	(January 11, 1999)

•	Holding down Shift key during Windows start will skip overclocking code, so if bad Mclk has been saved, holding down Shift allows loading without locking up.

•	More work to try and prevent overclocking from locking up.

•	Fixed CPU detection code in About box for AMD models.

•	Added -ResetDisplay command line option.

•	About box now show CPU vendor and CPU type, plus amount of physical RAM in system.

•	Changed the way an overclocked Mclk value is restored after display changes to try to prevent lockup issues.

•	Added special delay after setting Mclk to avoid problems with hanging.

•	Added 80MB and 90MB to AGP menu for special applications.

•	Improved the way the overclocking slider works.  Moving the slider will now show you the exact Mclk speed you will get, allowing you to choose all possible Mclk speeds.

•	Added minimum and maximum Mclk values that are checked from registry.

•	ToolTip text now shows Mclk speed and chipset type.

•	Added MiniGL settings to menu.

•	Added overclocking support.

•	Schemes will save Mclk and MiniGL values.

•	Added in Options box a way to disregard Mclk settings in schemes for safety.

1.01u	(December 30, 1998)

•	Changed the way the display is reset after making an AGP-related change to a safer method.

•	Added the option to sort or not sort the schemes menu.

•	When Save As is picked, if the scheme name already exists, ask user for confirmation to overwrite the old scheme.

•	Added reporting of BIOS, OS versions, Mclk, and video memory size in About box.

•	Added overclocking support.

•	AGP size setting is now based on amount of physical RAM in system, because this is how driver calculates it.

1.01o	(December 18, 1998)

•	First public version of S3Tweak.  Provide basic support for registry settings and schemes.


Credits

S3Tweak is brought to you by S3 Planet